Page MenuHomePhabricator

XML format change
Closed, ResolvedPublic1 Story Points

Description

In test.wikidata.org when I use "wbgetentities" the xml is
<entities><Q14 pageid="117" ns="0" title="Q14" lastrevid="2419" modified="2013-11-22T19:09:23Z" id="Q14" type="item">.... without <entity pageid="138" ...>


Version: master
Severity: blocker

Details

Reference
bz57529

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz57529.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 30 2015, 11:48 AM
Lydia_Pintscher reopened this task as Open.Jul 30 2015, 6:57 PM

Reopening this as Succu said on the contact the dev team page that it is happening again.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 6:57 PM
aude added a subscriber: aude.Jul 30 2015, 8:40 PM

git bisect (can confirm) tells me that https://gerrit.wikimedia.org/r/#/c/223794/ is where it broke

aude added a comment.Jul 31 2015, 1:20 AM

https://gerrit.wikimedia.org/r/#/c/228184/ fixes the issue in the deployment issue and fixes the test.

I'll let addshore take a look if/how to incorporate this into his chain of patches for master.

aude set Security to None.
aude claimed this task.Jul 31 2015, 1:50 AM
aude moved this task from Backlog to Review on the Wikidata-Sprint-2015-06-30 board.
Bene added a subscriber: Bene.Jul 31 2015, 6:09 AM

We should also create integration tests to prevent such issues in future.

Change 228184 merged by jenkins-bot:
Fix ApiXmlFormatTest and raw mode handling in api

https://gerrit.wikimedia.org/r/228184

Change 228300 had a related patch set uploaded (by Aude):
Update Wikidata - fix api xml / raw mode handling

https://gerrit.wikimedia.org/r/228300

Change 228300 merged by jenkins-bot:
Update Wikidata - fix api xml / raw mode handling

https://gerrit.wikimedia.org/r/228300

aude added a comment.Jul 31 2015, 5:13 PM

the bug fix is deployed now. (still needs to be fixed in master though. I think addshore is working to get rid of row mode special handling entirely)

aude moved this task from Review to Doing on the Wikidata-Sprint-2015-06-30 board.

Change 228841 had a related patch set uploaded (by Addshore):
Fix ApiXmlFormatTest and raw mode handling in api

https://gerrit.wikimedia.org/r/228841

will fix a patch up for master now and then remove the usages afterwards!

Change 228841 merged by jenkins-bot:
Fix ApiXmlFormatTest and raw mode handling in api

https://gerrit.wikimedia.org/r/228841

aude closed this task as Resolved.Aug 3 2015, 7:56 PM
aude removed a project: Patch-For-Review.
aude moved this task from Doing to Done on the Wikidata-Sprint-2015-06-30 board.
Tobi_WMDE_SW edited a custom field.Aug 5 2015, 9:05 AM